Skip to main content
POST
/
messages
Send a message
curl --request POST \
  --url https://api.sentvia.ai/v1/messages \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inbox_id": "<string>",
  "to": [
    "<string>"
  ],
  "subject": "<string>",
  "cc": [
    "<string>"
  ],
  "bcc": [
    "<string>"
  ],
  "text": "<string>",
  "html": "<string>",
  "in_reply_to": "<string>",
  "references": [
    "<string>"
  ],
  "client_id": "<string>",
  "attachments": [
    {
      "filename": "<string>",
      "content_type": "<string>",
      "content_base64": "<string>"
    }
  ]
}
'
{
  "id": "<string>",
  "thread_id": "<string>",
  "message_id": "<string>",
  "ses_message_id": "<string>",
  "idempotent": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
inbox_id
string
required
to
string[]
required
subject
string
required
cc
string[]
bcc
string[]
text
string
html
string
in_reply_to
string
references
string[]
client_id
string
attachments
object[]

Response

Sent

id
string
thread_id
string
message_id
string
ses_message_id
string
idempotent
boolean